EXPORT-ITOL(1)

NAME
export-itol.pl - Download formatted trees from iTOL

VERSION
version 0.212670

USAGE
    export-itol.pl <infiles> [optional arguments]

REQUIRED ARGUMENTS
This script is based on "iTOL_downloader.pl".

<infiles>
    Path to input TSV tree id files [repeatable argument].

    Such files are generated when uploading trees with the script import-itol.pl.

OPTIONS

--config=<file>
    Path to input INI config file. When not specified, INI config files must have the same basename as "infiles" (but see "--in-strip" below) [default: none].

    A config file requires at least the "format" argument. Supported outfile formats are: "svg", "pdf", "eps", "ps", "png", "newick", "nexus" and "phyloxml".

    To display all optional parameters and values, see iTOL help page: <https://itol.embl.de/help.cgi#bExOpt>

    An example of INI config file follows:

        format=svg
        dpi=300
        display_mode=2
        current_font_name=Courier
        datasets_visible=3
        range_mode=2
        include_ranges_legend=1

--in[-strip]=<str>
    Substring(s) to strip from infile basenames before attempting to derive INI infiles [default: none].

--out[-suffix]=<suffix>
    Suffix to append to tree file basenames for deriving outfile names [default: none].

--version
--usage
--help
--man
    Print the usual program information

AUTHOR
Denis BAURAIN <denis.baurain@uliege.be>

CONTRIBUTOR
Valerian LUPO <valerian.lupo@doct.uliege.be>

COPYRIGHT AND LICENSE
This software is copyright (c) 2013 by University of Liege / Unit of Eukaryotic Phylogenomics / Denis BAURAIN.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.